//////////////////////////////////////////////////////////
//
//	MwlMxpBasicGui
//
//////////////////////////////////////////////////////////

#ifndef __MwlMxpBasicGui_H__
#define __MwlMxpBasicGui_H__

#include "mwlmpx_internal_common.h"

//	クラス宣言
class _MWLMXP_LIB_EXP CMwlMxpBasicGui : public mxp::CBasicGuiBase
{
private:

public:
	//	コンストラクタ・デストラクタ
	CMwlMxpBasicGui();
	virtual ~CMwlMxpBasicGui();

	virtual int MessageBox(const char* szText, const char* szTitle=NULL, void* pExt=NULL, void* pParent=NULL );
	virtual bool AskYesNo(const char* szText, const char* szTitle=NULL, void* pExt=NULL, void* pParent=NULL );
};

namespace mwlagh
{
	typedef ::CMwlMxpBasicGui CBasicGui;
}

#endif//__MwlMxpBasicGui_H__
